Bug 2840 - X Font Server failure.
Summary: X Font Server failure.
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-15 17:38 UTC by aeon
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-19 15:30:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description aeon 1999-05-15 17:38:33 UTC
The X Font Server (xfs) does not start up properly under the
SysV init scripts and must be started manually in order to
get X up and running.

Under the SysV init scripts, /etc/rc.d/init.d/xfs is used to
start `xfs'.  This script calls daemon() in
/etc/rc.d/init.d/functions to actually start the `xfs'
daemon.  This function executes the command:

    nice -n $nicelevel initlog $INITLOG_ARGS -c "su xfs -c
xfs -s /bin/sh"

to attempt a startup.  This command succeeds, unfortunately,
at the basic level.  The command

    su xfs -c xfs -s /bin/sh

will succeed without actually starting `xfs'.  I have to
manually

    su xfs
    xfs
    exit

in order to get the command to run.  Perhaps this is an
error in /etc/passwd where the default shell is /bin/false
(not likely) or that the home directory (configuration
directory) is listed as /etc/X11/xfs which does not exist on
my system (the most likely cause).

I did the "upgrade" path from 5.2 but was not previously
running `xfs' (why I need to run it now is a mystery).

Comment 1 Jay Turner 1999-05-19 15:31:59 UTC
Have no trouble getting xfs to start automatically here in the office
on 6.0 systems.


Note You need to log in before you can comment on or make changes to this bug.